Subject: Re: bug#21224: guix system init --no-grub doesn't work

From: Alex Kost <[email-masked]>
Date: Mon, 10 Aug 2015 17:44:27 +0300

Mark H Weaver (2015-08-09 20:17 +0300) wrote:

> I'm in the early stages of adding GuixSD for the Lemote Yeeloong, and so
> for now would like to avoid getting grub working on the Yeeloong.  So,
> I tried running "guix system init config.scm /target --no-grub", and
> this is what happens:
>
>   /gnu/store/...-system
>
>   initializing operating system under '/target'...
>   guix system: error: build failed: path `/gnu/store/...-grub.cfg' is not valid
>
> In the 'install' procedure in (guix scripts system), I tried changing:
>
>   (maybe-copy grub.cfg)
>
> to:
>
>   (mwhen grub?
>     (maybe-copy grub.cfg))
>
> and then the command works, but almost nothing gets copied to /target.
> In retrospect, this makes sense: as the comment says, the installer
> works by copying the *closure* of grub.cfg.  However, it fails when
> --no-grub is passed, apparently because grub.cfg was not built.

(This message is probably not very helpful but) AFAICT this bug was
introduced by commit f245b03debfa05fa692e95769a9b7116200bf191.

-- 
Alex